EncryptionMode Class Reference

`#include <EncryptionMode.h>`

## Classes

struct | struct_Translation

## Public Types

enum | IRep { ECB = 0 , CBC = 1 , OFB = 2 , CFB = 3 , NOFB = 4 , NCFB = 5 , CTR = 6 , STREAM = 7 }
| integer representation of encryption mode More...

## Public Member Functions

| EncryptionMode (void)
| EncryptionMode (IRep irep)
| EncryptionMode (std::string srep)
void | setValue (IRep irep)
std::string | getStringRep (void) const
IRep | getIntegerRep (void) const
bool | operator== (const EncryptionMode &mode) const

## Static Public Member Functions

static bool | isValidStringRep (std::string srep)
static bool | isValidIntegerRep (unsigned int irep)
static std::string | translate (IRep irep)
static IRep | translate (std::string srep)

## Static Public Attributes

static const unsigned int | IRep_size = 3
| number of bits needed to code the mode

## Private Types

typedef struct EncryptionMode::struct_Translation | Translation

## Private Attributes

IRep | Value

## Static Private Attributes

static const unsigned int | NumValues = 8
static const Translation | Translations []

## Member Typedef Documentation

## Translation

typedef struct EncryptionMode::struct_Translation EncryptionMode::Translation

private

## Member Enumeration Documentation

## IRep

enum EncryptionMode::IRep

Enumerator
ECB |
CBC |
OFB |
CFB |
NOFB |
NCFB |
CTR |
STREAM |

## Constructor & Destructor Documentation

## EncryptionMode() [1/3]

EncryptionMode::EncryptionMode | ( | void |  | ) |

construct a new EncryptionMode object setting Value to ECB

## EncryptionMode() [2/3]

EncryptionMode::EncryptionMode | ( | EncryptionMode::IRep | irep | ) |

## EncryptionMode() [3/3]

EncryptionMode::EncryptionMode | ( | std::string | srep | ) |

construct a new EncryptionMode object from a std::string representation

Parameters

  srep | a valid(!) std::string representation

## Member Function Documentation

## getIntegerRep()

EncryptionMode::IRep EncryptionMode::getIntegerRep | ( | void |  | ) | const

## getStringRep()

std::string EncryptionMode::getStringRep | ( | void |  | ) | const

## isValidIntegerRep()

bool EncryptionMode::isValidIntegerRep | ( | unsigned int | irep | ) |

static

## isValidStringRep()

bool EncryptionMode::isValidStringRep | ( | std::string | srep | ) |

static

## operator==()

bool EncryptionMode::operator== | ( | const EncryptionMode & | mode | ) | const

inline

## setValue()

void EncryptionMode::setValue | ( | EncryptionMode::IRep | irep | ) |

## translate() [1/2]

std::string EncryptionMode::translate | ( | EncryptionMode::IRep | irep | ) |

static

## translate() [2/2]

EncryptionMode::IRep EncryptionMode::translate | ( | std::string | srep | ) |

static

## Member Data Documentation

## IRep_size

const unsigned int EncryptionMode::IRep_size = 3

static

## NumValues

const unsigned int EncryptionMode::NumValues = 8

static private

## Translations

const EncryptionMode::Translation EncryptionMode::Translations

static private

Initial value:
= {
{ ECB, "ecb" },
{ CBC, "cbc" },
{ OFB, "ofb" },
{ CFB, "cfb" },
{ NOFB, "nofb" },
{ NCFB, "ncfb" },
{ CTR, "ctr" },
{ STREAM, "stream" }
}
EncryptionMode::CFB
@ CFB
Definition EncryptionMode.h:36
EncryptionMode::OFB
@ OFB
Definition EncryptionMode.h:35
EncryptionMode::STREAM
@ STREAM
Definition EncryptionMode.h:40
EncryptionMode::CBC
@ CBC
Definition EncryptionMode.h:34
EncryptionMode::NCFB
@ NCFB
Definition EncryptionMode.h:38
EncryptionMode::CTR
@ CTR
Definition EncryptionMode.h:39
EncryptionMode::ECB
@ ECB
Definition EncryptionMode.h:33
EncryptionMode::NOFB
@ NOFB
Definition EncryptionMode.h:37

## Value

IRep EncryptionMode::Value

private

The documentation for this class was generated from the following files:

- EncryptionMode.h
- EncryptionMode.cc